curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/step \
--cookie JSESSIONID=import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/step"
headers = {"cookie": "JSESSIONID="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'JSESSIONID='}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/step', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/step",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/step"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/step")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/step")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body{
"displayMessage": "Enter User Inputs",
"parameters": {},
"processId": "640b4b3a-dbaf-4b73-abfb-979475aee0bb",
"processName": "socialFederation.associateSocialMedia_v1.0",
"stepName": "PasswordPrompt",
"lastStep": true,
"output": {},
"runtimeId": 1,
"userId": 1,
"userAuthenticated": true
}{
"displayMessage": "Enter User Inputs",
"parameters": {},
"processId": "640b4b3a-dbaf-4b73-abfb-979475aee0bb",
"processName": "socialFederation.associateSocialMedia_v1.0",
"stepName": "PasswordPrompt",
"lastStep": true,
"output": {},
"runtimeId": 1,
"userId": 1,
"userAuthenticated": true
}{
"processId": "640b4b3a-dbaf-4b73-abfb-979475aee0bb",
"processName": "socialFederation.associateSocialMedia_v1.0",
"stepName": "<string>",
"lastFailedStepAction": {
"parameters": {},
"processId": "640b4b3a-dbaf-4b73-abfb-979475aee0bb"
},
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "invalid_user_input",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"ROLE_ANONYMOUS"
],
"details": {}
}
],
"stackTrace": "<string>"
}{
"operationErrors": [
{
"code": "process-expired",
"message": "Process not found"
}
]
}Resume Connect process
GET end point to resume Connect process. It takes the processId from the request payload to continue requested process. In most cases the PUT /process/step is best used (see below). The GET /process/step is used in some scenarios, such as when we receive code from social account integration.
curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/step \
--cookie JSESSIONID=import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/step"
headers = {"cookie": "JSESSIONID="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'JSESSIONID='}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/step', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/step",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/step"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/step")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/step")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body{
"displayMessage": "Enter User Inputs",
"parameters": {},
"processId": "640b4b3a-dbaf-4b73-abfb-979475aee0bb",
"processName": "socialFederation.associateSocialMedia_v1.0",
"stepName": "PasswordPrompt",
"lastStep": true,
"output": {},
"runtimeId": 1,
"userId": 1,
"userAuthenticated": true
}{
"displayMessage": "Enter User Inputs",
"parameters": {},
"processId": "640b4b3a-dbaf-4b73-abfb-979475aee0bb",
"processName": "socialFederation.associateSocialMedia_v1.0",
"stepName": "PasswordPrompt",
"lastStep": true,
"output": {},
"runtimeId": 1,
"userId": 1,
"userAuthenticated": true
}{
"processId": "640b4b3a-dbaf-4b73-abfb-979475aee0bb",
"processName": "socialFederation.associateSocialMedia_v1.0",
"stepName": "<string>",
"lastFailedStepAction": {
"parameters": {},
"processId": "640b4b3a-dbaf-4b73-abfb-979475aee0bb"
},
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "invalid_user_input",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"ROLE_ANONYMOUS"
],
"details": {}
}
],
"stackTrace": "<string>"
}{
"operationErrors": [
{
"code": "process-expired",
"message": "Process not found"
}
]
}Authorizations
Query Parameters
Optional authorization code, passed down into process context as "oauth2Code". If this field is specified, then "error" must be omitted.
Optional authorization error, passed down into process context as "oauth2Error". If this field is specified, then "code" must be omitted.
The ID of the Process execution to resume.
Response
Process finished
The API returns information about parameters that are required by the next process step (only if lastStep is false). Optionally information from the previous is returned in 'output'. For AuthenticationStepAction actions, it returns authenticated context information (userId, runtimeId, userAuthenticated). For AdminUser authentication actions the API also returns adminUser.
Optional display message
"Enter User Inputs"
User input parameters
Show child attributes
Show child attributes
The process identifier that links multiple API calls together. If a process halts because it requires additional data, then it assigns a process ID that can be referenced in subsequent calls in order to continue and complete the entire process.
"640b4b3a-dbaf-4b73-abfb-979475aee0bb"
The name of the process which is being executed. This value is intended to be consumed by User Interfaces which may not always be aware of the current process being executed, owing to factors such as a third-party redirect in the middle of the process destroying the UI's context.
"socialFederation.associateSocialMedia_v1.0"
The step name
"PasswordPrompt"
Information returned from previous step.
Show child attributes
Show child attributes
The unique ID of an entity.
1
The unique ID of an entity.
1
For AuthenticationStepAction only.

